From 2ed82ee3f3fa28bd69f2981730cf60d89c8f3867 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 27 Nov 2017 15:29:15 +0100
Subject: [PATCH 2/2] doc: add PARALLEL option to old syntax for CREATE
 AGGREGATE

The old pre-8.2 syntax for CREATE AGGREGATE also support PARALLEL,
even though it's required to be quoted as PARALLEL is an unreserved
keyword.
---
 doc/src/sgml/ref/create_aggregate.sgml | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/doc/src/sgml/ref/create_aggregate.sgml b/doc/src/sgml/ref/create_aggregate.sgml
index a4aaae876e..d813ec41e6 100644
--- a/doc/src/sgml/ref/create_aggregate.sgml
+++ b/doc/src/sgml/ref/create_aggregate.sgml
@@ -80,6 +80,7 @@ CREATE AGGREGATE <replaceable class="parameter">name</replaceable> (
     [ , MFINALFUNC_MODIFY = { READ_ONLY | SHARABLE | READ_WRITE } ]
     [ , MINITCOND = <replaceable class="parameter">minitial_condition</replaceable> ]
     [ , SORTOP = <replaceable class="parameter">sort_operator</replaceable> ]
+    [ , "PARALLEL" = { SAFE | RESTRICTED | UNSAFE } ]
 )
 </synopsis>
  </refsynopsisdiv>
@@ -630,6 +631,10 @@ SELECT col FROM tab ORDER BY col USING sortop LIMIT 1;
       functions are not consulted by the planner, only the marking of the
       aggregate itself.
      </para>
+     <para>
+       Note that when using the old syntax, <literal>"PARALLEL"</literal> must
+       be quoted.
+     </para>
     </listitem>
    </varlistentry>
 
-- 
2.14.1.145.gb3622a4ee

